1. Orders
Fusion Developer Platform
  • Getting started with Fusion
    • Overview
    • API key generation
    • Rate limits
  • API
    • Getting started
    • Market data
      • Get server time
      • Get tickers
      • Get trading pairs
      • Get orderbook
      • Get candles
      • Get assets
    • Account
      • Get account
      • Get account balances
    • Trading
      • Orders
        • Get orders
          GET
        • Create order
          POST
        • Get order by ID
          GET
        • Cancel order by ID
          DELETE
      • Trades
        • Get trades
        • Get trade by ID
  • MCP
    • Getting started
    • Available tools
  • CLI
    • Getting Started
    • Commands
  1. Orders

Get orders

GET
https://api.fusion.bitpanda.com/v1/account/orders
Returns the authenticated account's orders, filtered by the provided query parameters.

Request

Query Params

Header Params

Responses

🟢200
application/json
Success
Bodyapplication/json

🟠400
🟠404
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.fusion.bitpanda.com/v1/account/orders?status=filled&pair=BTC-EUR%2CETH-USD&startTime=1725926400&endTime=1726012800&limit=100&cursor=' \
--header 'x-api-key: <YOUR_API_KEY>'
Response Response Example
200 - Example 1
{
    "data": [
        {
            "id": "a3bb189e-8bf9-3888-9912-ace4e6543002",
            "pair": "BTC-EUR",
            "side": "Buy",
            "type": "Limit",
            "status": "new",
            "pricedIn": "BTC",
            "quantity": "0.5",
            "amount": "15000.0",
            "limitPrice": "30000.0",
            "triggerPrice": "29500.0",
            "filledQuantity": "0.25",
            "filledAmount": "7500.0",
            "filledPercentage": "50.0",
            "filledAveragePrice": "30000.0",
            "fee": {
                "amount": "0.45",
                "currency": "EUR"
            },
            "timeInForce": "GTC",
            "updatedAt": "2024-06-15T10:30:00.000Z",
            "createdAt": "2024-06-15T10:29:55.000Z",
            "executedAt": "2024-06-15T10:30:01.000Z",
            "endTime": "2024-06-16T00:00:00.000Z"
        }
    ],
    "meta": {
        "limit": 100,
        "hasNextPage": true,
        "nextCursor": "string"
    }
}
Modified at 2026-06-26 13:06:15
Previous
Get account balances
Next
Create order
Built with